Bug 88792 - whois tool has IPv6 support, but fail-over fails
whois tool has IPv6 support, but fail-over fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: whois (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 04:42 EDT by matti aarnio
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 05:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2003-04-14 04:42:08 EDT
Description of problem:
  The   whois   tool fails to access whois server that has both
  IPv4 and IPv6 addresses registered for it, and when the host
  does not support IPv6 locally (module not loaded).

  Picking up lattest rawhide  jwhois  source and rebuilding the
  RPM in RH 7.2 system does produce working tool.

Version-Release number of selected component (if applicable):


How reproducible:
  Always

Steps to Reproduce:
  1.  In RedHat 7.2 system
  2.  whois anything@whois.ripe.net

    

Actual Results:
  $ whois anything@whois.ripe.net
  Address family not supported by protocol initializing protocol stacks?!?


Expected Results:
  $  whois anything@whois.ripe.net
  [Querying whois.ripe.net]
  [whois.ripe.net]
  % This is the RIPE Whois server.
  % The objects are in RPSL format.
  %
  % Rights restricted by copyright.
  % See http://www.ripe.net/ripencc/pub-services/db/copyright.html
  ...

Additional info:

  Replacing   whois  in system with  jwhois  solves the problem.

  Finding a version that can be installed was a bit trickier
  problem, but in the end picking up lattest rawhide srpm,
  and building from it did yield working package.
Comment 1 matti aarnio 2003-06-12 05:51:00 EDT
as  jwhois  has replaced the original  whois  package, this bug is obsole.

Note You need to log in before you can comment on or make changes to this bug.